import request from '@/utils/request'
// 履职信息-列表member:info:list
export function getInfojopList(data) {
  return request({
    'url': '/member/info/list',
    'method': 'get',
	'data':data
  })
}
// 履职信息-详情member:info:queryJop
export function getInfojopDetai(data) {
  return request({
    'url': '/member/info/getInfoJop',
    'method': 'post',
	'data':data
  })
}
// 履职信息-年度报告member:info:MemberReport
export function getInfomenberDetai(data) {
  return request({
    'url': '/member/info/getMemberReport',
    'method': 'post',
	'data':data
  })
}
// 履职信息-删除member:info:remove
export function getInfojopDel(data) {
  return request({
    'url': '/member/info/delete/'+data,
    'method': 'get',
  })
}

// 委员信息-详情member:info:query
export function getInfoDetailFn(data) {
  return request({
    'url': '/member/info/'+data,
    'method': 'get',
  })
}
// 委员信息-新增member:info:add
export function getinfoAddFn(data) {
  return request({
    'url': '/member/info',
    'method': 'post',
	'data':data
  })
}
// 委员信息-修改member:info:edit
export function getInfoEditFn(data) {
  return request({
    'url': '/member/info/put',
    'method': 'post',
	'data':data
  })
}
// 履历加分-新增zxBonus:bonus:add
export function getBonusAddFn(data) {
  return request({
    'url': '/zxBonus/bonus',
    'method': 'post',
	'data':data
  })
}
// 履历加分-列表履历加分-列表
export function getBonusListFn(data) {
  return request({
    'url': '/zxBonus/bonus/list',
    'method': 'get',
	'data':data
  })
}
// 履历加分-详情zxBonus:bonus:query
export function getBonusDetailFn(data) {
  return request({
    'url': '/zxBonus/bonus/'+data,
    'method': 'get',
  })
}
// 履历加分-修改zxBonus:bonus:edit
export function getBonusEditFn(data) {
  return request({
    'url': '/zxBonus/bonus/put',
    'method': 'post',
	'data':data
  })
}
// 履历加分-删除zxBonus:bonus:remove
export function getBonusDelFn(data) {
  return request({
    'url': '/zxBonus/bonus/delete/'+data,
    'method': 'get',
  })
}
// 手动更新所有委员分数，排名member:info:assessmentScore
export function getinfoScoreFn(data) {
  return request({
    'url': '/member/info/assessmentScore',
    'method': 'post',
	'data':data
  })
}